
from msilib.schema import Error
from PySide6.QtGui import QIcon
from PySide6.QtWidgets import QDialog
from ui_pages.ui_page_settings import Ui_PageSettings

class PageSettings(QDialog):
    def __init__(self, parent=None):
        # Initialize parent
        super(PageSettings, self).__init__()
        # Initialize graphics
        self.ui = Ui_PageSettings()
        self.ui.setupUi(self)
        # Initialize graphic objects
        self.setWindowIcon(QIcon("icons/rosetta.ico"))
        self.ui.labelStatus.setText("")
        # Create connections
        self.ui.pushButtonOK.clicked.connect(self.onPushButtonOKClicked)
        self.ui.pushButtonCancel.clicked.connect(self.onPushButtonCancelClicked)

    def onPushButtonOKClicked(self):
        """
        Button clicked: OK
        """
        port = None
        try:
            port = int(self.ui.lineEditPort.text())
        except:
            pass
        if (port == None) or (port < 0):
            self.ui.labelStatus.setText("Error: Port should be a positive integer.")
        else:
            self.accept()
        
    def onPushButtonCancelClicked(self):
        """
        Button clicked: Cancel
        """
        self.reject()

    
